# List trips (deprecated)

Retrieves the list of trips associated with an organization.
The **List Trips** `/v2/list-organisation-trips` endpoint has been deprecated.
Use the new **List trip summaries for a company** `/v3/trips/companies/{companyId}/list` endpoint instead.

Endpoint: POST /v2/list-organisation-trips
Version: v2
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer

## Request fields (application/json):

  - `organizationId` (object, required)
    Organization id for traveler.

  - `organizationId.id` (string, required)

  - `updatedAt` (object)
    ISO8601 UTC Date Time

  - `updatedAt.iso8601` (string, required)
    Example: 2017-07-21T17:32Z

  - `pnrType` (string, required)
    Type of PNR
    Enum: "AIR", "CAR", "RAIL", "HOTEL", "LIMO", "ALL"

  - `customFieldIds` (array)
    List of custom field IDs to filter. This field is not in use and has been deprecated.

  - `customFieldIds.type` (string, required)
    The type of custom field.
    Enum: "QUESTION", "MEETING", "BUDGET", "BREX_TOKEN"

  - `customFieldIds.externalId` (string, required)
    Meeting id or budget id based on custom field type.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `trips` (array)

  - `trips.tripId` (string, required)
    Spotnana trip ID
    Example: 6926658168

  - `trips.pnrInfos` (array, required)
    Pnr Info for the organisation trips

  - `trips.pnrInfos.pnrId` (string, required)
    Pnr ID
    Example: 6789533589

  - `trips.pnrInfos.customFields` (array)

  - `trips.pnrInfos.customFields.id` (string, required)
    Meeting id or budget id based on custom field type.

  - `trips.pnrInfos.customFields.type` (string, required)
    The type of custom field.
    Enum: "QUESTION", "MEETING", "BUDGET", "BREX_TOKEN"

  - `trips.pnrInfos.customFields.description` (string, required)
    Description of the custom Field
    Example: GLOBAL OFFSITE 2022

  - `trips.tripName` (string)
    Trip Name
    Example: SFO - DEL Meeting

  - `trips.tripDescription` (string)
    Trip Description
    Example: SFO-DEL 22-04-2022

  - `trips.applicationId` (string)
    Application used while creating trip.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 404:

  - `404` (unknown)
    The specified resource was not found.

## Response 404 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

